aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/qemuimage-tests
diff options
context:
space:
mode:
authorJiajun Xu <jiajun.xu@intel.com>2010-10-30 01:03:22 +0800
committerRichard Purdie <rpurdie@linux.intel.com>2010-11-10 21:09:22 +0800
commit12a861359a3413ded52174c814e8653c56caee17 (patch)
tree305a53f25d58def6e2793e7f6fcdd1a7387f0287 /scripts/qemuimage-tests
parent53b775b49645ce6bcac48def8671bf5f751c730b (diff)
downloadopenembedded-core-contrib-12a861359a3413ded52174c814e8653c56caee17.tar.gz
imagetest-qemu: Add test case for dmesg check in target
Add a test case for error log check with command dmesg in target. The case introduces a new folder in target, "/opt/test", which holds test scripts running in target. Signed-off-by Jiajun Xu <jiajun.xu@intel.com>
Diffstat (limited to 'scripts/qemuimage-tests')
-rwxr-xr-xscripts/qemuimage-tests/sanity/boot3
-rwxr-xr-xscripts/qemuimage-tests/sanity/dmesg52
-rwxr-xr-xscripts/qemuimage-tests/sanity/ssh5
-rw-r--r--scripts/qemuimage-tests/scenario/qemuarm/poky-image-sato1
-rw-r--r--scripts/qemuimage-tests/scenario/qemuarm/poky-image-sdk1
-rw-r--r--scripts/qemuimage-tests/scenario/qemumips/poky-image-sato1
-rw-r--r--scripts/qemuimage-tests/scenario/qemumips/poky-image-sdk1
-rw-r--r--scripts/qemuimage-tests/scenario/qemuppc/poky-image-sato1
-rw-r--r--scripts/qemuimage-tests/scenario/qemuppc/poky-image-sdk1
-rw-r--r--scripts/qemuimage-tests/scenario/qemux86/poky-image-sato1
-rw-r--r--scripts/qemuimage-tests/scenario/qemux86/poky-image-sdk1
-rw-r--r--scripts/qemuimage-tests/tools/dmesg.sh26
12 files changed, 89 insertions, 5 deletions
diff --git a/scripts/qemuimage-tests/sanity/boot b/scripts/qemuimage-tests/sanity/boot
index 57b204b170..5014e8a5ac 100755
--- a/scripts/qemuimage-tests/sanity/boot
+++ b/scripts/qemuimage-tests/sanity/boot
@@ -12,10 +12,9 @@
. $POKYBASE/scripts/qemuimage-testlib
TIMEOUT=120
-QEMU_IPADDR="192.168.7.2"
# Start qemu and check its network
-Test_Create_Qemu ${QEMU_IPADDR} ${TIMEOUT}
+Test_Create_Qemu ${TIMEOUT}
if [ $? -eq 0 ]; then
Test_Info "Boot Test PASS"
diff --git a/scripts/qemuimage-tests/sanity/dmesg b/scripts/qemuimage-tests/sanity/dmesg
new file mode 100755
index 0000000000..c384659b6c
--- /dev/null
+++ b/scripts/qemuimage-tests/sanity/dmesg
@@ -0,0 +1,52 @@
+#!/bin/bash
+# Dmesg Check Test Case for Sanity Test
+# The case boot up the Qemu target with `runqemu qemux86`.
+# Then check if there is any error log in dmesg.
+#
+# Author: Jiajun Xu <jiajun.xu@intel.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+. $POKYBASE/scripts/qemuimage-testlib
+
+TIMEOUT=360
+RET=1
+
+# Start qemu and check its network
+Test_Create_Qemu ${TIMEOUT}
+
+# If qemu network is up, check ssh service in qemu
+if [ $? -eq 0 ]; then
+ Test_Info "Begin to Test SSH Service in Qemu"
+ Test_SSH_UP ${TARGET_IPADDR} ${TIMEOUT}
+ RET=$?
+else
+ RET=1
+fi
+
+# Check if there is any error log in dmesg
+if [ $RET -eq 0 -a -f $TOOLS/dmesg.sh ]; then
+ # Copy dmesg.sh into target
+ Test_Target_Pre ${TARGET_IPADDR} $TOOLS/dmesg.sh
+ if [ $? -eq 0 ]; then
+ # Run dmesg.sh to check if there is any error message with command dmesg
+ Test_SSH ${TARGET_IPADDR} "sh $TARGET_TEST_DIR/dmesg.sh"
+ RET=$?
+ else
+ RET=1
+ fi
+fi
+
+if [ ${RET} -eq 0 ]; then
+ Test_Info "Dmesg Test PASS"
+ Test_Kill_Qemu
+ Test_Print_Result "dmesg" 0
+ exit 0
+else
+ Test_Info "Dmesg Test FAIL, Pls. check above error log"
+ Test_Kill_Qemu
+ Test_Print_Result "dmesg" 1
+ exit 1
+fi
diff --git a/scripts/qemuimage-tests/sanity/ssh b/scripts/qemuimage-tests/sanity/ssh
index 3c7638cc2e..f9143d0558 100755
--- a/scripts/qemuimage-tests/sanity/ssh
+++ b/scripts/qemuimage-tests/sanity/ssh
@@ -12,16 +12,15 @@
. $POKYBASE/scripts/qemuimage-testlib
TIMEOUT=360
-QEMU_IPADDR="192.168.7.2"
RET=1
# Start qemu and check its network
-Test_Create_Qemu ${QEMU_IPADDR} ${TIMEOUT}
+Test_Create_Qemu ${TIMEOUT}
# If qemu network is up, check ssh service in qemu
if [ $? -eq 0 ]; then
Test_Info "Begin to Test SSH Service in Qemu"
- Test_SSH_UP ${QEMU_IPADDR} ${TIMEOUT}
+ Test_SSH_UP ${TARGET_IPADDR} ${TIMEOUT}
RET=$?
else
RET=1
diff --git a/scripts/qemuimage-tests/scenario/qemuarm/poky-image-sato b/scripts/qemuimage-tests/scenario/qemuarm/poky-image-sato
index 95a091b741..f6e7cb1604 100644
--- a/scripts/qemuimage-tests/scenario/qemuarm/poky-image-sato
+++ b/scripts/qemuimage-tests/scenario/qemuarm/poky-image-sato
@@ -1,2 +1,3 @@
sanity boot
sanity ssh
+sanity dmesg
diff --git a/scripts/qemuimage-tests/scenario/qemuarm/poky-image-sdk b/scripts/qemuimage-tests/scenario/qemuarm/poky-image-sdk
index 95a091b741..f6e7cb1604 100644
--- a/scripts/qemuimage-tests/scenario/qemuarm/poky-image-sdk
+++ b/scripts/qemuimage-tests/scenario/qemuarm/poky-image-sdk
@@ -1,2 +1,3 @@
sanity boot
sanity ssh
+sanity dmesg
diff --git a/scripts/qemuimage-tests/scenario/qemumips/poky-image-sato b/scripts/qemuimage-tests/scenario/qemumips/poky-image-sato
index 95a091b741..f6e7cb1604 100644
--- a/scripts/qemuimage-tests/scenario/qemumips/poky-image-sato
+++ b/scripts/qemuimage-tests/scenario/qemumips/poky-image-sato
@@ -1,2 +1,3 @@
sanity boot
sanity ssh
+sanity dmesg
diff --git a/scripts/qemuimage-tests/scenario/qemumips/poky-image-sdk b/scripts/qemuimage-tests/scenario/qemumips/poky-image-sdk
index 95a091b741..f6e7cb1604 100644
--- a/scripts/qemuimage-tests/scenario/qemumips/poky-image-sdk
+++ b/scripts/qemuimage-tests/scenario/qemumips/poky-image-sdk
@@ -1,2 +1,3 @@
sanity boot
sanity ssh
+sanity dmesg
diff --git a/scripts/qemuimage-tests/scenario/qemuppc/poky-image-sato b/scripts/qemuimage-tests/scenario/qemuppc/poky-image-sato
index 95a091b741..f6e7cb1604 100644
--- a/scripts/qemuimage-tests/scenario/qemuppc/poky-image-sato
+++ b/scripts/qemuimage-tests/scenario/qemuppc/poky-image-sato
@@ -1,2 +1,3 @@
sanity boot
sanity ssh
+sanity dmesg
diff --git a/scripts/qemuimage-tests/scenario/qemuppc/poky-image-sdk b/scripts/qemuimage-tests/scenario/qemuppc/poky-image-sdk
index 95a091b741..f6e7cb1604 100644
--- a/scripts/qemuimage-tests/scenario/qemuppc/poky-image-sdk
+++ b/scripts/qemuimage-tests/scenario/qemuppc/poky-image-sdk
@@ -1,2 +1,3 @@
sanity boot
sanity ssh
+sanity dmesg
diff --git a/scripts/qemuimage-tests/scenario/qemux86/poky-image-sato b/scripts/qemuimage-tests/scenario/qemux86/poky-image-sato
index 95a091b741..f6e7cb1604 100644
--- a/scripts/qemuimage-tests/scenario/qemux86/poky-image-sato
+++ b/scripts/qemuimage-tests/scenario/qemux86/poky-image-sato
@@ -1,2 +1,3 @@
sanity boot
sanity ssh
+sanity dmesg
diff --git a/scripts/qemuimage-tests/scenario/qemux86/poky-image-sdk b/scripts/qemuimage-tests/scenario/qemux86/poky-image-sdk
index 95a091b741..f6e7cb1604 100644
--- a/scripts/qemuimage-tests/scenario/qemux86/poky-image-sdk
+++ b/scripts/qemuimage-tests/scenario/qemux86/poky-image-sdk
@@ -1,2 +1,3 @@
sanity boot
sanity ssh
+sanity dmesg
diff --git a/scripts/qemuimage-tests/tools/dmesg.sh b/scripts/qemuimage-tests/tools/dmesg.sh
new file mode 100644
index 0000000000..66c022343b
--- /dev/null
+++ b/scripts/qemuimage-tests/tools/dmesg.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Dmesg test script running in QEMU
+#
+# Author: Jiajun Xu <jiajun.xu@intel.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+which dmesg
+if [ $? -ne 0 ]; then
+ echo "QEMU: No dmesg command found"
+ exit 1
+fi
+
+dmesg | grep -iq "error"
+if [ $? -eq 0 ]; then
+ echo "QEMU: There is some error log in dmesg:"
+ echo "QEMU: ##### Error Log ######"
+ dmesg | grep -i "error"
+ echo "QEMU: ##### End ######"
+ exit 1
+else
+ echo "QEMU: No error log in dmesg"
+ exit 0
+fi